MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025399Open CASCADE[OCCT] OCCT:Visualizationpublic2014-10-20 17:372014-11-12 09:54
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0025399: Visualization - XCAFPrs_AISObject ignores global aspect settings
DescriptionXCAFPrs_AISObject::SetColors() method ignores the global aspect settings in the drawer passed as an argument and always overrides them with own aspect instances.
Like this, it is not possible to control the default appearance of the interactive object.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0025010closedapn Use AIS_ColoredShape for display of XCAF documents 

-  Notes
(0033356)
git (administrator)
2014-10-20 20:36

Branch CR25399 has been created by san.

SHA-1: f41cb4f04f2f12542a936a4cd1d0e257fcdf905b


Detailed log of new commits:

Author: san
Date: Mon Oct 20 20:36:42 2014 +0400

    0025399: Visualization - XCAFPrs_AISObject ignores global aspect settings
    
    Copying of the default drawer's parameters added.
(0033357)
san (developer)
2014-10-20 20:37

Branch CR25399 ready for reviewing.
(0033358)
kgv (developer)
2014-10-20 22:38

Please test the patch.
(0033586)
mkv (tester)
2014-10-22 18:28

Dear BugMaster,
Branch CR25399 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: f41cb4f04f2f12542a936a4cd1d0e257fcdf905b

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)
MacOS: 199 (199 on master)

products component :
Linux: 11 (11 on master)
Windows: 1 (1 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 369133112 / 368944548
Total CPU difference: 45712.75999999997 / 44655.91000000001
products component :
Total MEMORY difference: 126665020 / 126843964
Total CPU difference: 16350.759999999957 / 17317.839999999975

Testing on Windows:
occt component :
Total MEMORY difference: 253895896 / 252945828
Total CPU difference: 36616.46875 / 34935.046875
products component :
Total MEMORY difference: 71434948 / 70259448
Total CPU difference: 11592.65625 / 11333.1875

There are no differences in images found by testdiff.
(0034331)
git (administrator)
2014-11-12 09:54

Branch CR25399 has been deleted by inv.

SHA-1: f41cb4f04f2f12542a936a4cd1d0e257fcdf905b

- Related Changesets
occt: master e21b2bc6
Timestamp: 2014-10-20 16:36:42
Author: san
Committer: bugmaster
Details ] Diff ]
0025399: Visualization - XCAFPrs_AISObject ignores global aspect settings

Copying of the default drawer's parameters added.
mod - src/XCAFPrs/XCAFPrs_AISObject.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-10-20 17:37 san New Issue
2014-10-20 17:37 san Assigned To => kgv
2014-10-20 17:52 kgv Relationship added related to 0025010
2014-10-20 17:53 san Assigned To kgv => san
2014-10-20 17:53 san Status new => assigned
2014-10-20 20:36 git Note Added: 0033356
2014-10-20 20:37 san Note Added: 0033357
2014-10-20 20:37 san Assigned To san => kgv
2014-10-20 20:37 san Status assigned => resolved
2014-10-20 22:38 kgv Note Added: 0033358
2014-10-20 22:38 kgv Assigned To kgv => bugmaster
2014-10-20 22:38 kgv Status resolved => reviewed
2014-10-20 22:38 kgv Product Version 6.8.0 =>
2014-10-21 10:18 mkv Assigned To bugmaster => mkv
2014-10-22 18:28 mkv Note Added: 0033586
2014-10-22 18:29 mkv Test case number => Not needed
2014-10-22 18:29 mkv Assigned To mkv => bugmaster
2014-10-22 18:29 mkv Status reviewed => tested
2014-10-24 15:38 bugmaster Changeset attached => occt master e21b2bc6
2014-10-24 15:38 bugmaster Status tested => verified
2014-10-24 15:38 bugmaster Resolution open => fixed
2014-11-11 12:43 aiv Fixed in Version => 6.8.0
2014-11-11 13:02 aiv Status verified => closed
2014-11-12 09:54 git Note Added: 0034331


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker